%define upstream_name	 Jcode
%define upstream_version 2.07

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 28

Summary:	Japanese Charset Handle
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Jcode/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	perl-devel

%description
Jcode.pm supports both object and traditional approach. With object approach,
you can go like;

$iso_2022_jp = Jcode->new($str)->h2z->jis;

Which is more elegant than;
 
$iso_2022_jp = &jcode::convert(\$str,'jis',jcode::getcode(\str), "z");

For those unfamiliar with objects, Jcode.pm still supports getcode() and
convert().

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"
cd Unicode
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%install
%make_install
cd Unicode
%make_install

%check
%{__make} test

%files 
%doc README Changes
%{perl_vendorlib}/Jcode
%{perl_vendorlib}/Jcode.pm
%{perl_vendorarch}/Jcode
%{perl_vendorarch}/auto/Jcode
%{_mandir}/*/*


%changelog
* Fri Dec 01 2023 tv <tv> 2.70.0-28.mga10
+ Revision: 2012067
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 2.70.0-27.mga9
+ Revision: 1863172
- Rebuild for Perl 5.36
- Rebuild for Perl 5.36
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.70.0-24.mga9
+ Revision: 1726743
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.70.0-23.mga8
+ Revision: 1594827
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.70.0-22.mga8
+ Revision: 1528905
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tmb <tmb> 2.70.0-21.mga8
+ Revision: 1432772
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.70.0-20.mga7
+ Revision: 1293310
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 2.70.0-19.mga7
+ Revision: 1247635
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 2.70.0-18.mga7
+ Revision: 1165037
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.70.0-17.mga7
+ Revision: 1148994
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.70.0-16.mga7
+ Revision: 1127252
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.70.0-15.mga6
+ Revision: 1028820
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.70.0-14.mga6
+ Revision: 957579
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.70.0-13.mga6
+ Revision: 844929
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 2.70.0-12.mga6
+ Revision: 841979
- rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2.70.0-11.mga5
+ Revision: 748288
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.70.0-10.mga5
+ Revision: 685152
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.70.0-9.mga5
+ Revision: 631347
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.70.0-8.mga4
+ Revision: 524854
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.70.0-7.mga4
+ Revision: 431590
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.70.0-6.mga3
+ Revision: 368828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.70.0-5.mga3
+ Revision: 250793
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 2.70.0-4.mga2
+ Revision: 104712
- Rebuild for perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 2.70.0-3.mga1
+ Revision: 12327
- imported package perl-Jcode

